// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}


var srDest = 45;

var err;
var fProgram;

// ----LOCALIZATION NOTE: translate only these ------
var prettyName = "Valeurs par dfaut du profil franais(France)";
var regName    = "defaults/netscape/fr-FR";
// --- END CHANGABLE STUFF ---

err    = initInstall(prettyName, regName, "6.0.0.2000110800"); 
logComment("initInstall: " + err);

fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);

if (verifyDiskSpace(fProgram, srDest))
{
    err = addDirectory("",
                   "6.0.0.2000110800",
                   "viewer",
                   fProgram,
                   "",
                   true);
    logComment("addDirectory() returned: " + err);

    if (err == SUCCESS)
    {
        err = performInstall(); 
        logComment("performInstall() returned: " + err);
    }
    else
    {
        cancelInstall(err);
        logComment("cancelInstall due to error: " + err);
    }
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);
